Name:           cups-x2go
Version:        3.0.1.5
Release:        0.0x2go1%{?dist}
Summary:        CUPS backend for printing from X2Go

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

# %%{_datadir}/ppd/ is provided by ,,cups-filters'' for OpenSUSE 13.2+ and SLES 12+.
# SLE{S,D} 11 provides %%{_datadir}/ppd/ via cups-drivers.
# Older OpenSuSE releases do not provide %%{_datadir}/ppd at all.
# However, cups-filters conflicts with cups < 1.6, which is currently shipped for
# OpenSUSE 13.2. Do not use this package on that platform.
%if 0%{?suse_version}
%if 0%{?suse_version} >= 1315 && 0%{?suse_version} != 1320
Requires:       cups-filters
BuildRequires:  cups-filters
%else
%if 0%{?suse_version} == 1110
Requires:       cups-drivers
BuildRequires:  cups-drivers
%endif
%endif
%endif
# Also needed at build-time as the package owning the common directories on SUSE.
%if 0%{?fedora}
Requires:       cups
Requires:       cups-filesystem
BuildRequires:  cups-filesystem
%else
Requires:       cups
BuildRequires:  cups
%endif

Requires:       ghostscript
%if 0%{?fedora} || 0%{?el5} || 0%{?el6} || 0%{?rhel_version} || 0%{?centos_version} || 0%{?rhel}
Requires:       openssh-clients
%else
Requires:       openssh
%endif

%if 0%{?el5}
# For compatibility with EPEL5
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%else
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

# Perl stuff.
%if 0%{?suse_version}
%if 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif
%else
%if 0%{?fedora}
BuildRequires:  perl-generators
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif

Requires:       perl(File::Temp)

%description
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick

CUPS backend for printing from X2Go.


%prep
%setup -q


%build


%install
b="%buildroot";
c="$b/%{_prefix}/lib/cups/backend";
mkdir -p "$c";
install -pm0755 cups-x2go "$c/";
c="$b/%{_datadir}/ppd/cups-x2go";
mkdir -p "$c";
install -pm0644 CUPS-X2GO.ppd "$c/";
c="$b/%{_sysconfdir}/cups";
mkdir -p "$c";
install -pm0644 cups-x2go.conf "$c/";
c="$b/%{_datadir}/x2go/versions";
mkdir -p "$c";
install -pm0644 VERSION.cups-x2go "$c/";


%files
%defattr(-,root,root)
%doc debian/changelog debian/copyright COPYING README.txt

# SLES < 12 only has an arch-dependent CUPS tree in %%{_libdir}.
# We need to own %%{_prefix}/lib here.
%if 0%{?suse_version} && 0%{?suse_version} < 1200
%{_prefix}/lib/cups
%endif

#
# The cups-x2go backend wants root permissions. So give them to it.
# http://www.cups.org/documentation.php/doc-1.4/man-backend.html says:
# “Backends without world execute permissions are run as the root user.
# Otherwise, the backend is run using the unprivileged user account,
# typically "lp".”
#
%attr(0700,root,root) %{_prefix}/lib/cups/backend/cups-x2go
%config(noreplace) %{_sysconfdir}/cups/cups-x2go.conf

# Nothing provides %%{_datadir}/ppd/ on OpenSUSE < 13.2.
# The package that provides %%{_datadir}/ppd/ on OpenSuSE >= 13.2
# (cups-filters) conflicts with cups on OpenSuSE 13.2.
# Make sure to exclude SLE{S,D} 11 and 12, for which %%{_datadir}/ppd/
# is provided by cups-drivers and cups-filters respectively.
%if 0%{?suse_version} && 0%{?suse_version} <= 1320 && 0%{?suse_version} != 1110 && 0%{?suse_version} != 1315
%{_datadir}/ppd/
%endif
%{_datadir}/ppd/cups-x2go/
%{_datadir}/x2go/


%changelog
